import { fetchNavigationApi } from "../service/api-service";
import { useQuery } from "react-query";

export const useFetchAppNavDetails = () => {
    return useQuery("fetch-navigation", fetchNavigationApi, {
      refetchOnWindowFocus: false,
      select: (data: any) => {
        return data?.[0]?.Navigation || [];
      },
      onError: (error: Error) => {
        console.log(error);
      },
    });
  };